libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::ColumnIndex Class Reference
[Data Handlers]

DataModel column indexes — Management of DataModel column index attributes. More...

Inheritance diagram for Gnome::Gda::ColumnIndex:

[legend]
List of all members.

## Public Member Functions

Glib::RefPtr<ColumnIndex> | copy () const
| Creates a new Gda::ColumnIndex object from an existing one.
Glib::ustring | get_column_name () const

Returns:
  The column name of dmcia.

long | get_defined_size () const

Returns:
  The defined size of dmcia.

Glib::ustring | get_references () const

Returns:
  dmcia's references.

Sorting | get_sorting () const

Returns:
  The sorting of dmcia.

const GdaColumnIndex* | gobj () const
| Provides access to the underlying C GObject.
GdaColumnIndex* | gobj ()
| Provides access to the underlying C GObject.
GdaColumnIndex* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_column_name (const Glib::ustring& column_name)
| Sets the name of dmcia to column_name.
void | set_defined_size (long size)
| Sets the defined size of a Gda::ColumnIndex.
void | set_references (const Glib::ustring& ref)
| Sets dmcia's references.
void | set_sorting (Sorting sorting)
| Sets the sorting of a Gda::ColumnIndex.
virtual | ~ColumnIndex ()

## Static Public Member Functions

static Glib::RefPtr<ColumnIndex> | create ()

## Protected Member Functions

| ColumnIndex ()

## Related Functions

(Note that these are not member functions.)
bool | operator!= (const ColumnIndex& lhs, const ColumnIndex& rhs)

Parameters:

  | lhs | The left-hand side

bool | operator== (const ColumnIndex& lhs, const ColumnIndex& rhs)

Parameters:

  | lhs | The left-hand side

Glib::RefPtr<Gnome::Gda::ColumnIndex> | wrap (GdaColumnIndex* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

DataModel column indexes — Management of DataModel column index attributes.

## Constructor & Destructor Documentation

virtual Gnome::Gda::ColumnIndex::~ColumnIndex | ( |  | ) | `[virtual]`

Gnome::Gda::ColumnIndex::ColumnIndex | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<ColumnIndex> Gnome::Gda::ColumnIndex::copy | ( |  | ) | const

Creates a new Gda::ColumnIndex object from an existing one.

Returns:
  A newly allocated Gda::ColumnIndex with a copy of the data in dmcia.

static Glib::RefPtr<ColumnIndex> Gnome::Gda::ColumnIndex::create | ( |  | ) | `[static]`

Glib::ustring Gnome::Gda::ColumnIndex::get_column_name | ( |  | ) | const

Returns:
  The column name of dmcia.

long Gnome::Gda::ColumnIndex::get_defined_size | ( |  | ) | const

Returns:
  The defined size of dmcia.

Glib::ustring Gnome::Gda::ColumnIndex::get_references | ( |  | ) | const

Returns:
  dmcia's references.

Sorting Gnome::Gda::ColumnIndex::get_sorting | ( |  | ) | const

Returns:
  The sorting of dmcia.

const GdaColumnIndex* Gnome::Gda::ColumnIndex::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaColumnIndex* Gnome::Gda::ColumnIndex::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaColumnIndex* Gnome::Gda::ColumnIndex::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gnome::Gda::ColumnIndex::set_column_name | ( | const Glib::ustring & | column_name | ) |

Sets the name of dmcia to column_name.

Parameters:

  | column_name | The new name of dmcia.

void Gnome::Gda::ColumnIndex::set_defined_size | ( | long | size | ) |

Sets the defined size of a Gda::ColumnIndex.

Parameters:

  | size | The defined size we want to set.

void Gnome::Gda::ColumnIndex::set_references | ( | const Glib::ustring & | ref | ) |

Sets dmcia's references.

Parameters:

  | ref | References.

void Gnome::Gda::ColumnIndex::set_sorting | ( | Sorting | sorting | ) |

Sets the sorting of a Gda::ColumnIndex.

Parameters:

  | sorting | The new sorting of dmcia.

## Friends And Related Function Documentation

bool operator!= | ( | const ColumnIndex& | lhs,
|  | const ColumnIndex& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side

Parameters:

  | rhs | The right-hand side

Returns:
  The result

bool operator== | ( | const ColumnIndex& | lhs,
|  | const ColumnIndex& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side

Parameters:

  | rhs | The right-hand side

Returns:
  The result

Glib::RefPtr<Gnome::Gda::ColumnIndex> wrap | ( | GdaColumnIndex * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- columnindex.h